Форум: Applications
Тема: Debian -Help
Автор: rainoff

Мнение от rainoff пуснато на Август 09 2008, 15:01
debian:/home/rainoff# apt-get install opera
Четене на списъците с пакети... Грешка!
E: Dynamic MMap ran out of room
E: Възникна грешка при обработката на python-qt3-gl (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/ftp.bg.debian.org_debian_dists_unstable_main_binary-i386_Packages
E: Списъците с пакети или файлът за състояние не можаха да бъдат анализирани или отворени.
debian:/home/rainoff#
Мнение от altoas пуснато на Август 09 2008, 17:02
имаш ли място на хард диска? по точно във /var
почисти папката /var/cache/apt
apt-get update
Мнение от rainoff пуснато на Август 09 2008, 17:49
Quote: (altoas @ Aug. 09 2008, 17:02)

имаш ли място на хард диска? по точно във /var
почисти папката /var/cache/apt
apt-get update

Какво точно трябва да направя?
Мнение от tonitochev пуснато на Август 09 2008, 19:18
apt-get clean
Мнение от rainoff пуснато на Август 09 2008, 19:23
Quote: (tonitochev @ Aug. 09 2008, 19:18)

apt-get clean

debian:/home/rainoff# apt-get clean
debian:/home/rainoff# apt-get upgrade
Четене на списъците с пакети... Грешка!
E: Dynamic MMap ran out of room
E: Възникна грешка при обработката на python-qt3-dbg (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/ftp.bg.debian.org_debian_dists_unstable_main_binary-i386_Packages
E: Списъците с пакети или файлът за състояние не можаха да бъдат анализирани или отворени.
debian:/home/rainoff#
Мнение от Drakula пуснато на Август 09 2008, 20:27
rainoff,

Пуснал си няколко теми по този проблем в различни раздели, а не си си направил даже труда да пейстеш съобщението в "Search" полето на Google, да натиснеш "ентер" и да огледаш отгворите на < http://www.google.bg/search?q=Dynamic+MMap+ran+out+of+room&amp;ie=utf-8&amp;oe=utf-8&amp;aq=t&amp;rls=org.mozilla:en-US:official&amp;client=firefox-a >. Един от първите резултати е даже на _български_!
Мнение от rainoff пуснато на Август 09 2008, 21:17
Добре.Това разбрах,че е от сорс листа.Сега незнам какъв сорс да си сложа, за да тегля всичко необходимо. Линукса е Дебиан 4.р04.........
След като оправяих това, пак немога да инсталирам пакета за wireless картата.Изкарва ми следното:

Четене на списъците с пакети... Готово
Изграждане на дървото със зависимости... Готово
0 актуализирани, 0 нови инсталирани, 0 за премахване и 0 без промяна.
1 не са напълно инсталирани или премахнати.
Необходимо е да се изтеглят 0B архиви.
След разпакетирането ще бъде използвано 0B дисково пространство.
Setting up driverloader (2.26tiabocom) ...
Linuxant DriverLoader for Wireless LAN devices, version 2.26tiabocom

No pre-built modules for: Debian-4.0 linux-2.6.18-6-686 i686-SMP

Trying to automatically build the driver modules...
(this requires a C compiler and proper kernel sources to be installed)
Please ensure that the kernel-headers or kernel-source package is installed.
On Debian, try "apt-get install kernel-headers-2.6.18-6-686"

Where is the linux source build directory that matches your running kernel?
[/usr/src/linux]

WARNING: missing file /usr/src/linux/include/linux/autoconf.h
The cause of this is usually a missing or unconfigured
kernel source tree (and sometimes an incorrect directory or symbolic link).

First, ensure that the proper kernel source and compiler packages
from your distribution vendor and/or the community are installed.

The Linux kernel can then be reconfigured by running "make menuconfig"
under the kernel source directory (usually /usr/src/linux).

Verify that the proper options for your system are selected.

Then compile and install your new kernel (for more information about
this procedure, see the README file under the kernel source directory),
reboot the system using the new kernel, and re-run "dldrconfig".
dpkg: error processing driverloader (--configure):
subprocess post-installation ****** returned error exit status 1
Errors were encountered while processing:
driverloader
E: Sub-process /usr/bin/dpkg returned an error code (1)
debian:/home/rainoff#
Мнение от devik пуснато на Август 09 2008, 21:59
apt-get install linux-headers-2.6.18 /или каквото ти е там ядрото/ linux-kbuild module-assistant
след което пробвай да добавиш модула за безжичната карта - може да трябва още някой пакет


Мнение от rainoff пуснато на Август 09 2008, 22:23
Как да разбера какво е ядрото ми..  Сори за тъпите въпроси, но съм новак
Мнение от tonitochev пуснато на Август 10 2008, 06:57
Еми просто погледни в директорията /boot Там ще видиш няколко файла
Ядрото е от вида:
vmlinuz-версията на твоето ядро
Мнение от devik пуснато на Август 10 2008, 11:01
Код: 
val@debian:~$ uname -a
Linux debian 2.6.25-2-686 #1 SMP Fri Jul 18 17:46:56 UTC 2008 i686 GNU/Linux

Мнение от rainoff пуснато на Август 10 2008, 14:04
Благодаря.Оправиха се нещата с хранилищата,но сега немога да се оправя с ядрото и с драйвера за wirelessa. Не разбирам, уж указвам вярната версия, а нещо се обърква...  

debian:/home/rainoff# uname -a
Linux debian 2.6.18-6-686 #1 SMP Tue Jun 17 21:31:27 UTC 2008 i686 GNU/Linux
debian:/home/rainoff# apt-get install linux-headers-2.6.18-6-686
Четене на списъците с пакети... Готово
Изграждане на дървото със зависимости... Готово
linux-headers-2.6.18-6-686 вече е най-новата версия.
0 актуализирани, 0 нови инсталирани, 0 за премахване и 744 без промяна.
1 не са напълно инсталирани или премахнати.
Необходимо е да се изтеглят 0B архиви.
След разпакетирането ще бъде използвано 0B дисково пространство.
Setting up driverloader (2.26tiabocom) ...
Linuxant DriverLoader for Wireless LAN devices, version 2.26tiabocom

No pre-built modules for: Debian-4.0 linux-2.6.18-6-686 i686-SMP

Trying to automatically build the driver modules...
(this requires a C compiler and proper kernel sources to be installed)

Where is the linux source build directory that matches your running kernel?
[/lib/modules/2.6.18-6-686/build]

WARNING: the kernel version () defined in
/lib/modules/2.6.18-6-686/build/include/linux/version.h
does not match the currently running kernel (2.6.18-6-686)
The cause of this problem is an incorrect kernel source path.
Please check that /lib/modules/2.6.18-6-686/build points to the right tree.
The cause of this is usually a missing or unconfigured
kernel source tree (and sometimes an incorrect directory or symbolic link).

However, proper /boot/config-2.6.18-6-686 was found.
Would you like to try using it (in a temporary kernel tree)? [yes] yes

Unable to prepare temporary kernel tree

First, ensure that the proper kernel source and compiler packages
from your distribution vendor and/or the community are installed.

The Linux kernel can then be reconfigured by running "make menuconfig"
under the kernel source directory (usually /usr/src/linux).

Verify that the proper options for your system are selected.

Then compile and install your new kernel (for more information about
this procedure, see the README file under the kernel source directory),
reboot the system using the new kernel, and re-run "dldrconfig".
dpkg: error processing driverloader (--configure):
subprocess post-installation ****** returned error exit status 1
Errors were encountered while processing:
driverloader
E: Sub-process /usr/bin/dpkg returned an error code (1)
debian:/home/rainoff# make menuconfig
make: *** No rule to make target `menuconfig'.  Stop.
Мнение от devik пуснато на Август 10 2008, 16:20
Код: 
1 не са напълно инсталирани или премахнати.

Ами имаш някакъв счупен пакет.Най-лесния вариант е да го оправиш през synaptic / в broken packages/

Сега видях че май си решил да прекомпилираш ядрото - това не ти е нужно за безжичния адаптер.
В /usr/src ти трябват само хедърите linux-kbuild-2.6.xx,инсталираш module-assistant,сваляш софтуера на картата /не знам каква е/ и добавяш модула към съществуващия кернел.Всъщност каква е картата - да не е  atheros?


Мнение от rainoff пуснато на Август 10 2008, 16:52
OvisLink WL 8000PCM
Кажо ми какво точно се иска от мен да направя. 2 дена с тази карта се занимавам
Мнение от devik пуснато на Август 10 2008, 18:05
Ами тази карта май тръгва само с ndiswrapper
apt-get install ndiswrapper-common ndiswrapper-utils ndisgtk
Сваляш драйвъра на картата за бозата,разархивираш го cd в папката
ndiswrapper -i <име_на_файла.inf> и следваш указанията.След това вдигаш модула
modprobe ndiswrapper
Ако нищо не се е омазало би трябвало да се появи безжична връзка в nework_manager /или каквото ползваш/
ndiskgtk е някакъв графичен интерфейс ,но не съм го ползвал никога - пробвай може да е по-човеколюбиво
Мнение от rainoff пуснато на Август 17 2008, 13:34
Мерси.мисля че съм на финала, но немога да се оправя с това :


Unpacking replacement ndiswrapper-utils-1.9 ...
Setting up ndiswrapper-utils-1.9 (1.53-1) ...
debian:/home/rainoff# cd /driver
bash: cd: /driver: Няма такъв файл или директория
debian:/home/rainoff# cd /home/rainoff/driver
bash: cd: /home/rainoff/driver: Няма такъв файл или директория
debian:/home/rainoff# cd /Driver
bash: cd: /Driver: Няма такъв файл или директория
debian:/home/rainoff# ndiswrapper -i TNET1130.INF
couldn't open TNET1130.INF: Няма такъв файл или директория at /usr/sbin/ndiswrapper-1.9 line 219.
debian:/home/rainoff# /home/rainoff/Driver/TNET1130.INF
bash: /home/rainoff/Driver/TNET1130.INF: Отказан достъп
debian:/home/rainoff# ndiswrapper -i TNET1130.INF
couldn't open TNET1130.INF: Няма такъв файл или директория at /usr/sbin/ndiswrapper-1.9 line 219.
debian:/home/rainoff#
Мнение от rainoff пуснато на Август 17 2008, 14:09
Незнам как да екстрактна папката която е .зип, и куде да го направя.....  Само инсталирах пакетите които ми написахте в последния пост... и дотам
когато се опитам да вляза ж папката драйвер в хоум дерикторията ми казва че няма такава.......
Какво да правя по-нататък?
Мнение от devik пуснато на Август 17 2008, 18:48
В графичен режим цък с десния бутон в/у архива и даваш Extract след което указваш на ndiswrapper-а файла с разширение .inf от разархивирания драйвър
< http://linux.about.com/od/commands/a/blcmdl1_unzipx.htm > има примери за unzip в конзола


Мнение от rainoff пуснато на Август 17 2008, 20:38
Мерси много,оправих това с архива.Но мисля че нещо се е омазало.
Виж:


debian:/home/rainoff# unzip -j WL8000PCM.zip
Archive:  WL8000PCM.zip
 inflating: FwRad16.bin
 inflating: FwRad17.bin
 inflating: FwRad19.bin
 inflating: t1130_9x.sys
 inflating: t1130_XP.sys
 inflating: tnet1130.cat
 inflating: TNET1130.INF
 inflating: tnetwcoinst.dll
 inflating: data1.cab
 inflating: data1.hdr
 inflating: data2.cab
 inflating: ikernel.ex_
 inflating: layout.bin
 inflating: Setup.bmp
 inflating: Setup.exe
 inflating: Setup.ini
 inflating: Setup.inx
debian:/home/rainoff# ndiswrapper -i t
t1130_9x.sys     t1130_XP.sys     tnet1130.cat     tnetwcoinst.dll
debian:/home/rainoff# ndiswrapper -i tnet
tnet1130.cat     tnetwcoinst.dll
debian:/home/rainoff# cd /home/rainoff/TNET1130.INF
bash: cd: /home/rainoff/TNET1130.INF: Не е директория
debian:/home/rainoff# ndiswrapper -i TNET1130.INF
installing tnet1130 ...
debian:/home/rainoff# mod
modinfo   modprobe
debian:/home/rainoff# mod
modinfo   modprobe
debian:/home/rainoff# modprobe ndiswrapper
FATAL: Module ndiswrapper not found.
debian:/home/rainoff# ndiskgtk
bash: ndiskgtk: command not found
Мнение от devik пуснато на Август 17 2008, 23:08
След като си разархивирал файловете
cd /home/rajnoff/<име на папката>ndiswrapper -i <име на файла.инф>
ndiswrapper -l
depmod -a
modprobe ndiswrapper
след което би трябвало да видиш картата в iwconfig
Ако не тръгне нещо е омазано с инсталацията на ndiswrapper-а пробвай с  module-assistant:

като преди това трябва да инсталираш сорса на ndiswrapper
apt-get install ndiswrapper-source
cd /usr/src
m-a a-i ndiswrapper това би трябвало да реши проблема със зависимисти /ако има такъв/
Мнение от rainoff пуснато на Август 17 2008, 23:48
devik,благодаря ти от сърце за помоща,поне опита..  Немога да се оправя с тази карта.Може би просто ще купя друга...   Надявам се само някакъв уайърлес нет да тръгне под линукс.
Успех на всички които се борят, и .. не се отказвайте като мен :)
Powered by ikonforums 1.0.0 © 2006 ikonforums